<?php
class PaDefault extends CustomPage {
	public $ssetParid=1;
	
	public function PaDefault(){
		$this->ComPage();
	}
	public function OnPInitial(){
		$this->checkUser('1,2,3,4,5,');
		$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'cmsdocdiscuss','sttColumnHead'=>'cddt'),
			array('sttTableName'=>$this->sysTableHead.'cmsdocdiscusscont','sttColumnHead'=>'cddct'),);
		$this->sUiName='Mana/cms/doc_docdiscuss';
	}
	public function OnBInitial(){
		$this->sMetaTitle='文档评论';
		$this->sLimitCount=0;
		
		$this->sApp=new cmsdocdiscuss($this->sConnString);
	}
	public function OnList(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'cddtID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',',0);
		//#Spell sql
		$tmpSQL=' SELECT 
			A.cddtID,A.cddtName,A.cddtParid,B.cdtName 
			FROM '.$this->sysTableHead.'cmsdocdiscuss AS A 
			INNER JOIN '.$this->sysTableHead.'cmsdoc AS B ON B.cdtID=A.cddtParid
			WHERE 1=1 
			AND A.cddtCreateBy='.$this->sUserInfo[0]['Columns']['uitID']['Value'].'
			AND A.cddtID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.cddtName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!=''){
			$tmpSQL.=' AND B.cdtName LIKE \'%'.$this->sSearchData[1].'%\' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].','.$this->sSearchData[1];
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'cddtID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'cddtName','stcoctUiName'=>'文档评论标题');
		
		return 0;
	}
	public function OnNormal(){
		$tmpAR0=$this->AnalyerRequest('Normal','0,0',0);
		
		$tmpSQL=' SELECT 
			* 
			FROM '.$this->sysTableHead.'cmsdocdiscuss AS A 
			INNER JOIN '.$this->sysTableHead.'cmsdocdiscusscont AS B ON B.cddctIndexID=A.cddtID
			WHERE 1=1 AND A.cddtID='.$tmpAR0[0].'
			AND A.cddtCreateBy='.$this->sUserInfo[0]['Columns']['uitID']['Value'].' ';
		$tmpDataCollection0=$this->sDb->Search($tmpSQL);
		if(count($tmpDataCollection0)>0){
			$tmpRow=$tmpDataCollection0[0];
			$this->sMainID=$tmpRow[$this->sTable[0]['sttColumnHead'].'ID'];
			//-- #Get value --
			$Coun0=0;
			while (count($this->sUiDescription_Normal)>$Coun0) {
				if(isset($tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']])){
					$this->sUiDescription_Normal[$Coun0]['Value']=$tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']];
					//Spical set
					if($this->sUiDescription_Normal[$Coun0]['stcotName']=='cddtParid'){
						$tmpSQL=' SELECT A.cdtName FROM cmsdoc AS A WHERE 1=1 AND A.cdtID='.$tmpRow['cddtParid'].' ';
						$tmpDataCollection1=$this->sDb->Search($tmpSQL);
						if(count($tmpDataCollection1)>0){
							$this->sUiDescription_Normal[$Coun0]['ShowValue']=$tmpDataCollection1[0]['cdtName'];
						}
					}
				}
				$Coun0++;
			}
		}else {}
	}
	
	public function DefUiPanel(&$pColumn,$pFlag){
		if($pColumn['stcotName']=='Quick'){
			$pColumn['Style']='width:50px;';
		}else if($pColumn['stcotName']=='cddtChecked' && $pFlag=='Search'){
			$pColumn['Option']=$this->sChecked2;
		}else if($pColumn['stcotName']=='cddtChecked' && $pFlag=='Normal'){
			$pColumn['Option']=$this->sChecked1;
		}
		return $pColumn;
	}
}
?>